package cn.edu.whu.boot.xml.xmlreader.bean;

import java.io.Serializable;

/**
 * @author Li Bozhao
 */
public class Layer implements Serializable {
    private static final long serialVersionUID = -2456061046336735535L;
    private String url;//服务地址
    private String name;//服务名称
    private String type;//类型 tianditu esri google ArcGISTiledLayer ArcGISMapImageLayer ArcGISVectorTiledLayer OpenStreetMapLayer等
    private String subType;//在选择tianditu esri google 时 这个来标识具体的枚举类型
    private String group;//image 影像 vector 矢量
    private int index;//显示顺序

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSubType() {
        return subType;
    }

    public void setSubType(String subType) {
        this.subType = subType;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
